// #####################################################################

#pragma once

// General Purpose 16-bit Input/Output variables

#include "PCF8575.h"

#define GPIO_DIGITAL_OUTPUTS    6

struct GPIO_DIGITAL_OUTPUT
{
  char name[16];
  bool state;
};

extern PCF8575 PCF;

extern struct GPIO_DIGITAL_OUTPUT gpio_digital_outputs[GPIO_DIGITAL_OUTPUTS];

extern struct MENU_ENTRY menu_outputs[];
extern struct MENU_ENTRY menu_edit_output[];

extern bool b_gpio_initialized;

void gpio_output_menu( struct MENU_ENTRY *menu_entry );
void gpio_set_output( struct MENU_ENTRY *menu_entry );
void gpio_outputs_on_open( struct MENU_ENTRY *menu_entry );

extern unsigned long gpio_routine_millis;

void gpio_routine( );

// #####################################################################
