// #####################################################################

// Liquid Cristal Display

#include <LiquidCrystal.h>

#define LCD_WIDTH   20
#define LCD_HEIGHT  4

extern LiquidCrystal lcd;

extern char display_state[LCD_WIDTH * LCD_HEIGHT];
extern char display_buffer[LCD_WIDTH * LCD_HEIGHT];

// Settings
extern int lcd_color[3];  // I could use uint8_t here, but currently only editing of "int" is implemented in the menu
extern int lcd_auto_powersave;
extern int lcd_auto_off;
extern bool lcd_always_on;
extern int lcd_animation;

extern const PROGMEM struct MENU_ENTRY menu_lcd[];

extern bool b_lcd_initialized;

extern unsigned long lcd_routine_millis;

void lcd_routine( );

// #####################################################################
