// #####################################################################

// LED subsystem

#include <Arduino.h>
#include <stdint.h>

enum LED_STATE
{
  LED_OFF = 0,
  LED_ON,
  LED_BLINK
};

#define LED_POWER_PIN       9
#define LED_TIMESYNC_PIN    10
#define LED_WIFI_PIN        11
#define LED_IO_PIN          12

extern uint16_t led_gpio_state;

extern int led_auto_off;
extern bool led_always_on;
extern bool led_off;

extern const PROGMEM struct MENU_ENTRY menu_led[];

void led_set_state( unsigned char pin, enum LED_STATE led_state );

extern unsigned long led_routine_millis;

void led_routine( );

// #####################################################################
