// #####################################################################

// include the SD library:
#include <SPI.h>
#include <SD.h>

// SD card subsystem

enum SD_STATUS
{
  SD_STATUS_NOT_INITIALIZED = 0,
  SD_STATUS_NO_CARD,
  SD_STATUS_NO_FILESYSTEM,
  SD_STATUS_OK
};

void sd_store_configuration_command( struct MENU_ENTRY *menu_entry );
void sd_read_configuration_command( struct MENU_ENTRY *menu_entry );
void factory_default( struct MENU_ENTRY *menu_entry );

extern unsigned long sd_routine_millis;
extern bool b_sd_initialized;

extern struct MENU_ENTRY menu_sd[];

void sd_routine( );



// #####################################################################